{
  "name": "tinglebot",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "type": "module",
  "scripts": {
    "build": "tsc",
    "lint": "eslint src test --max-warnings 0",
    "start": "op run --env-file=./prod.env --no-masking -- node prod/index.js",
    "test": "vitest run --coverage"
  },
  "author": "",
  "license": "See license in LICENSE.md",
  "engines": {
    "node": "22",
    "pnpm": "9"
  },
  "devDependencies": {
    "@nhcarrigan/eslint-config": "5.0.0-rc1",
    "@nhcarrigan/typescript-config": "4.0.0",
    "@types/node-schedule": "2.1.7",
    "@types/uuid": "10.0.0",
    "@vitest/coverage-istanbul": "2.1.1",
    "eslint": "9.11.1",
    "typescript": "5.6.2",
    "vitest": "2.1.1"
  },
  "dependencies": {
    "discord.js": "14.16.2",
    "fastify": "5.0.0",
    "node-schedule": "2.1.1",
    "sharp": "0.33.5",
    "uuid": "10.0.0",
    "winston": "3.14.2"
  }
}
